
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		defpar.h
Contents:	Parameters default values
*******************************************************************************/
#ifndef _DEFPAR_H
#define _DEFPAR_H

// Motor default parameters
#define OPERATION_SEL   (      0        )	// 00 SEL_OP	selection of operations
#define RPM_MIN1_DEF	(    200.0f     )	// 01 RPM_MIN	minimum speed				rpm
#define RPM_MAX1_DEF	(   4000.0f     )	// 02 RPM_MAX	maximum speed				rpm
#define R_ACC1_DEF		(   1000.0f     )	// 03 R_ACC		acceleration				rpm/sec
#define R_DEC1_DEF		(   1000.0f     )	// 04 R_DEC		deceleration				rpm/sec
#define C_POLI1_DEF		(      4.0f     )	// 05 C_POLI	polar couples
#define I_START1_DEF	(      0.5f     )	// 06 I_START	startup current				Ampere
#define I_MAX1_DEF		(      2.5f     )	// 07 I_MAX		maximum current				Ampere
#define R_STA1_DEF		(      0.7f     )	// 08 R_STA		stator resistance			Ohm
#define L_SQ1_DEF		(      0.001f   )	// 09 L_SQ		q synchronous inductance	Henry
#define PM_FLX1_DEF		(      0.005f   )	// 10 PM_FLX	permanent magnets flux		Weber
#define KP_CUR1_DEF		(      3.0f     )	// 11 KP_CUR	current loop KP				Ohm
#define KI_CUR1_DEF		(   3000.0f     )	// 12 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL1_DEF		(      0.005f   )	// 13 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL1_DEF		(      0.25f    )	// 14 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN1_DEF	(     50.0f     )	// 15 FB_GAIN	flux amp. feedback gain
#define PHA_OFF1_DEF	(      0.0f     )	// 16 PHA_OFF	phase offset				deg
#define SUP_TIM1_DEF	(      0.8f     )	// 17 SUP_TIM	startup acc. time			sec
#define SAM_FRE_DEF		(   8000.0f     )	// 18 SAM_FRE	sampling frequency			Hz
#define F_RATIO_DEF		(      1.0f     )	// 19 F_RATIO	pwm_freq/sam_freq ratio
#define PAR_20_DEF		(      0.0f     )	// 20 PAR_20
#define RPM_MIN2_DEF	(    200.0f     )	// 21 RPM_MIN	minimum speed				rpm
#define RPM_MAX2_DEF	(   4000.0f     )	// 22 RPM_MAX	maximum speed				rpm
#define R_ACC2_DEF		(   1000.0f     )	// 23 R_ACC		acceleration				rpm/sec
#define R_DEC2_DEF		(   1000.0f     )	// 24 R_DEC		deceleration				rpm/sec
#define C_POLI2_DEF		(      4.0f     )	// 25 C_POLI	polar couples
#define I_START2_DEF	(      0.5f     )	// 26 I_START	startup current				Ampere
#define I_MAX2_DEF		(      2.5f     )	// 27 I_MAX		maximum current				Ampere
#define R_STA2_DEF		(      0.7f     )	// 28 R_STA		stator resistance			Ohm
#define L_SQ2_DEF		(      0.001f   )	// 29 L_SQ		q synchronous inductance	Henry
#define PM_FLX2_DEF		(      0.005f   )	// 30 PM_FLX	permanent magnets flux		Weber
#define KP_CUR2_DEF		(      3.0f     )	// 31 KP_CUR	current loop KP				Ohm
#define KI_CUR2_DEF		(   3000.0f     )	// 32 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL2_DEF		(      0.005f   )	// 33 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL2_DEF		(      0.25f    )	// 34 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN2_DEF	(     50.0f     )	// 35 FB_GAIN	flux amp. feedback gain
#define PHA_OFF2_DEF	(      0.0f     )	// 36 PHA_OFF	phase offset				deg
#define SUP_TIM2_DEF	(      0.8f     )	// 37 SUP_TIM	startup acc. time			sec
#define PAR_38_DEF		(      0.0f     )	// 38 PAR_38
#define RPM_MIN3_DEF	(    200.0f     )	// 39 RPM_MIN	minimum speed				rpm
#define RPM_MAX3_DEF	(   4000.0f     )	// 40 RPM_MAX	maximum speed				rpm
#define R_ACC3_DEF		(   1000.0f     )	// 41 R_ACC		acceleration				rpm/sec
#define R_DEC3_DEF		(   1000.0f     )	// 42 R_DEC		deceleration				rpm/sec
#define C_POLI3_DEF		(      4.0f     )	// 43 C_POLI	polar couples
#define I_START3_DEF	(      0.5f     )	// 44 I_START	startup current				Ampere
#define I_MAX3_DEF		(      2.5f     )	// 45 I_MAX		maximum current				Ampere
#define R_STA3_DEF		(      0.7f     )	// 46 R_STA		stator resistance			Ohm
#define L_SQ3_DEF		(      0.001f   )	// 47 L_SQ		q synchronous inductance	Henry
#define PM_FLX3_DEF		(      0.005f   )	// 48 PM_FLX	permanent magnets flux		Weber
#define KP_CUR3_DEF		(      3.0f     )	// 49 KP_CUR	current loop KP				Ohm
#define KI_CUR3_DEF		(   3000.0f     )	// 50 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL3_DEF		(      0.005f   )	// 51 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL3_DEF		(      0.25f    )	// 52 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN3_DEF	(     50.0f     )	// 53 FB_GAIN	flux amp. feedback gain
#define PHA_OFF3_DEF	(      0.0f     )	// 54 PHA_OFF	phase offset				deg
#define SUP_TIM3_DEF	(      0.8f     )	// 55 SUP_TIM	startup acc. time			sec
#define PAR_56_DEF		(      0.0f     )	// 56 PAR_56

#endif	// ifndef _DEFPAR_H

// EOF defpar.h

