
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		globvar.h
Project:	YRotateItRX66T
Revision:	1.0
Date:		2019-04-04 (YYYY-MM-DD)
Author:		Andrea Ghirardello
Contents:	Global variables declarations and global macro
*******************************************************************************/
#ifndef	_GLOBVAR_H
#define	_GLOBVAR_H

#ifndef _GLOBVAR_C
extern byte_t
	flg0,
	flg1;
#endif	// ifndef _GLOBVAR_C

// global flags
#define	TRGED			( 0 != flg0.bit.b0 )
#define	RBUSY			( 0 != flg0.bit.b1 )
#define	CSELD			( 0 != flg0.bit.b2 )
#define	FREE_03			( 0 != flg0.bit.b3 )
#define	FREE_04			( 0 != flg0.bit.b4 )
#define	FREE_05			( 0 != flg0.bit.b5 )
#define	FREE_06			( 0 != flg0.bit.b6 )
#define	FREE_07			( 0 != flg0.bit.b7 )

#define	NOT_TRGED		( 0 == flg0.bit.b0 )
#define	NOT_RBUSY		( 0 == flg0.bit.b1 )
#define	NOT_CSELD		( 0 == flg0.bit.b2 )
#define	NOT_FREE_03		( 0 == flg0.bit.b3 )
#define	NOT_FREE_04		( 0 == flg0.bit.b4 )
#define	NOT_FREE_05		( 0 == flg0.bit.b5 )
#define	NOT_FREE_06		( 0 == flg0.bit.b6 )
#define	NOT_FREE_07		( 0 == flg0.bit.b7 )

#define	SET_TRGED		{ flg0.bit.b0 = 1; }
#define	SET_RBUSY		{ flg0.bit.b1 = 1; }
#define	SET_CSELD		{ flg0.bit.b2 = 1; }
#define	SET_FREE_03		{ flg0.bit.b3 = 1; }
#define	SET_FREE_04		{ flg0.bit.b4 = 1; }
#define	SET_FREE_05		{ flg0.bit.b5 = 1; }
#define	SET_FREE_06		{ flg0.bit.b6 = 1; }
#define	SET_FREE_07		{ flg0.bit.b7 = 1; }

#define	RES_TRGED		{ flg0.bit.b0 = 0; }
#define	RES_RBUSY		{ flg0.bit.b1 = 0; }
#define	RES_CSELD		{ flg0.bit.b2 = 0; }
#define	RES_FREE_03		{ flg0.bit.b3 = 0; }
#define	RES_FREE_04		{ flg0.bit.b4 = 0; }
#define	RES_FREE_05		{ flg0.bit.b5 = 0; }
#define	RES_FREE_06		{ flg0.bit.b6 = 0; }
#define	RES_FREE_07		{ flg0.bit.b7 = 0; }

#define	FREE_10			( 0 != flg1.bit.b0 )
#define	FREE_11			( 0 != flg1.bit.b1 )
#define	FREE_12			( 0 != flg1.bit.b2 )
#define	FREE_13			( 0 != flg1.bit.b3 )
#define	FREE_14			( 0 != flg1.bit.b4 )
#define	FREE_15			( 0 != flg1.bit.b5 )
#define	FREE_16			( 0 != flg1.bit.b6 )
#define	FREE_17			( 0 != flg1.bit.b7 )

#define	NOT_FREE_10		( 0 == flg1.bit.b0 )
#define	NOT_FREE_11		( 0 == flg1.bit.b1 )
#define	NOT_FREE_12		( 0 == flg1.bit.b2 )
#define	NOT_FREE_13		( 0 == flg1.bit.b3 )
#define	NOT_FREE_14		( 0 == flg1.bit.b4 )
#define	NOT_FREE_15		( 0 == flg1.bit.b5 )
#define	NOT_FREE_16		( 0 == flg1.bit.b6 )
#define	NOT_FREE_17		( 0 == flg1.bit.b7 )

#define	SET_FREE_10		{ flg1.bit.b0 = 1; }
#define	SET_FREE_11		{ flg1.bit.b1 = 1; }
#define	SET_FREE_12		{ flg1.bit.b2 = 1; }
#define	SET_FREE_13		{ flg1.bit.b3 = 1; }
#define	SET_FREE_14		{ flg1.bit.b4 = 1; }
#define	SET_FREE_15		{ flg1.bit.b5 = 1; }
#define	SET_FREE_16		{ flg1.bit.b6 = 1; }
#define	SET_FREE_17		{ flg1.bit.b7 = 1; }

#define	RES_FREE_10		{ flg1.bit.b0 = 0; }
#define	RES_FREE_11		{ flg1.bit.b1 = 0; }
#define	RES_FREE_12		{ flg1.bit.b2 = 0; }
#define	RES_FREE_13		{ flg1.bit.b3 = 0; }
#define	RES_FREE_14		{ flg1.bit.b4 = 0; }
#define	RES_FREE_15		{ flg1.bit.b5 = 0; }
#define	RES_FREE_16		{ flg1.bit.b6 = 0; }
#define	RES_FREE_17		{ flg1.bit.b7 = 0; }

#endif	// ifndef _GLOBVAR_H

// EOF globvar.h
