
/*******************************************************************************
DISCLAIMER

THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.

WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
INTELLECTUAL PROPERTY INFRINGIMENT.

TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.

BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
THIS SOFTWARE.
BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.

IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
File:		par_defines.h
Project:	YRotateItRX66T
Revision:	1.0
Date:		2019-04-04 (YYYY-MM-DD)
Author:		Andrea Ghirardello
Contents:	Parameters values limits
*******************************************************************************/
#ifndef _PAR_DEFINES
#define _PAR_DEFINES

// Minimum values
#define RPM_MIN1_MIN	(      1.0f     )	// 01 RPM_MIN	minimum speed				rpm
#define RPM_MAX1_MIN	(      3.0f     )	// 02 RPM_MAX	maximum speed				rpm
#define R_ACC1_MIN		(      1.0f     )	// 03 R_ACC		acceleration				rpm/sec
#define R_DEC1_MIN		(      1.0f     )	// 04 R_DEC		deceleration				rpm/sec
#define C_POLI1_MIN		(      1.0f     )	// 05 C_POLI	polar couples
#define I_START1_MIN	(      0.0f     )	// 06 I_START	startup current				Ampere
#define I_MAX1_MIN		(      0.0f     )	// 07 I_MAX		maximum current				Ampere
#define R_STA1_MIN		(      0.0f     )	// 08 R_STA		stator resistance			Ohm
#define L_SQ1_MIN		(      0.0f     )	// 09 L_SQ		q synchronous inductance	Henry
#define PM_FLX1_MIN		(      0.0f     )	// 10 PM_FLX	permanent magnets flux		Weber
#define KP_CUR1_MIN		(      0.0f     )	// 11 KP_CUR	current loop KP				Ohm
#define KI_CUR1_MIN		(      0.0f     )	// 12 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL1_MIN		(      0.0f     )	// 13 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL1_MIN		(      0.0f     )	// 14 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN1_MIN	(      0.0f     )	// 15 FB_GAIN	flux amp. feedback gain
#define PHA_OFF1_MIN	(      0.0f     )	// 16 PHA_OFF	phase offset				deg
#define SUP_TIM1_MIN	(      0.0f     )	// 17 SUP_TIM	startup acc. time			sec
#define SAM_FRE_MIN		(   2000.0f     )	// 18 SAM_FRE	sampling frequency			Hz
#define F_RATIO_MIN		(      1.0f     )	// 19 F_RATIO	pwm_freq/sam_freq ratio
#define PAR_20_MIN		(      0.0f     )	// 20 PAR_20
#define RPM_MIN2_MIN	(      1.0f     )	// 21 RPM_MIN	minimum speed				rpm
#define RPM_MAX2_MIN	(      3.0f     )	// 22 RPM_MAX	maximum speed				rpm
#define R_ACC2_MIN		(      1.0f     )	// 23 R_ACC		acceleration				rpm/sec
#define R_DEC2_MIN		(      1.0f     )	// 24 R_DEC		deceleration				rpm/sec
#define C_POLI2_MIN		(      1.0f     )	// 25 C_POLI	polar couples
#define I_START2_MIN	(      0.0f     )	// 26 I_START	startup current				Ampere
#define I_MAX2_MIN		(      0.0f     )	// 27 I_MAX		maximum current				Ampere
#define R_STA2_MIN		(      0.0f     )	// 28 R_STA		stator resistance			Ohm
#define L_SQ2_MIN		(      0.0f     )	// 29 L_SQ		q synchronous inductance	Henry
#define PM_FLX2_MIN		(      0.0f     )	// 30 PM_FLX	permanent magnets flux		Weber
#define KP_CUR2_MIN		(      0.0f     )	// 31 KP_CUR	current loop KP				Ohm
#define KI_CUR2_MIN		(      0.0f     )	// 32 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL2_MIN		(      0.0f     )	// 33 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL2_MIN		(      0.0f     )	// 34 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN2_MIN	(      0.0f     )	// 35 FB_GAIN	flux amp. feedback gain
#define PHA_OFF2_MIN	(      0.0f     )	// 36 PHA_OFF	phase offset				deg
#define SUP_TIM2_MIN	(      0.0f     )	// 37 SUP_TIM	startup acc. time			sec
#define PAR_38_MIN		(      0.0f     )	// 38 PAR_38
#define RPM_MIN3_MIN	(      1.0f     )	// 39 RPM_MIN	minimum speed				rpm
#define RPM_MAX3_MIN	(      3.0f     )	// 40 RPM_MAX	maximum speed				rpm
#define R_ACC3_MIN		(      1.0f     )	// 41 R_ACC		acceleration				rpm/sec
#define R_DEC3_MIN		(      1.0f     )	// 42 R_DEC		deceleration				rpm/sec
#define C_POLI3_MIN		(      1.0f     )	// 43 C_POLI	polar couples
#define I_START3_MIN	(      0.0f     )	// 44 I_START	startup current				Ampere
#define I_MAX3_MIN		(      0.0f     )	// 45 I_MAX		maximum current				Ampere
#define R_STA3_MIN		(      0.0f     )	// 46 R_STA		stator resistance			Ohm
#define L_SQ3_MIN		(      0.0f     )	// 47 L_SQ		q synchronous inductance	Henry
#define PM_FLX3_MIN		(      0.0f     )	// 48 PM_FLX	permanent magnets flux		Weber
#define KP_CUR3_MIN		(      0.0f     )	// 49 KP_CUR	current loop KP				Ohm
#define KI_CUR3_MIN		(      0.0f     )	// 50 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL3_MIN		(      0.0f     )	// 51 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL3_MIN		(      0.0f     )	// 52 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN3_MIN	(      0.0f     )	// 53 FB_GAIN	flux amp. feedback gain
#define PHA_OFF3_MIN	(      0.0f     )	// 54 PHA_OFF	phase offset				deg
#define SUP_TIM3_MIN	(      0.0f     )	// 55 SUP_TIM	startup acc. time			sec
#define PAR_56_MIN		(      0.0f     )	// 56 PAR_56
#define PAR_57_MIN		(      0.0f     )	// 57 PAR_57	
#define PAR_58_MIN		(      0.0f     )	// 58 PAR_58	
#define PAR_59_MIN		(      0.0f     )	// 59 PAR_59	

#include "defpar.h"
#define PAR_57_DEF		(      0.0f     )	// 57 PAR_57	
#define PAR_58_DEF		(      0.0f     )	// 58 PAR_58	
#define PAR_59_DEF		(      0.0f     )	// 59 PAR_59	

// Maximum values
#define RPM_MIN1_MAX	(  33333.0f     )	// 01 RPM_MIN	minimum speed				rpm
#define RPM_MAX1_MAX	(  99999.0f     )	// 02 RPM_MAX	maximum speed				rpm
#define R_ACC1_MAX		(  99999.0f     )	// 03 R_ACC		acceleration				rpm/sec
#define R_DEC1_MAX		(  99999.0f     )	// 04 R_DEC		deceleration				rpm/sec
#define C_POLI1_MAX		(     36.0f     )	// 05 C_POLI	polar couples
#define I_START1_MAX	(    200.0f     )	// 06 I_START	startup current				Ampere
#define I_MAX1_MAX		(    200.0f     )	// 07 I_MAX		maximum current				Ampere
#define R_STA1_MAX		(   1000.0f     )	// 08 R_STA		stator resistance			Ohm
#define L_SQ1_MAX		(     10.0f     )	// 09 L_SQ		q synchronous inductance	Henry
#define PM_FLX1_MAX		(     10.0f     )	// 10 PM_FLX	permanent magnets flux		Weber
#define KP_CUR1_MAX		(  99999.0f     )	// 11 KP_CUR	current loop KP				Ohm
#define KI_CUR1_MAX		( 999999.0f     )	// 12 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL1_MAX		(  99999.0f     )	// 13 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL1_MAX		( 999999.0f     )	// 14 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN1_MAX	(   1000.0f     )	// 15 FB_GAIN	flux amp. feedback gain
#define PHA_OFF1_MAX	(    359.9999f  )	// 16 PHA_OFF	phase offset				deg
#define SUP_TIM1_MAX	(    100.0f     )	// 17 SUP_TIM	startup acc. time			sec
#define SAM_FRE_MAX		(  16000.0f     )	// 18 SAM_FRE	sampling frequency			Hz
#define F_RATIO_MAX		(      3.0f     )	// 19 F_RATIO	pwm_freq/sam_freq ratio
#define PAR_20_MAX		( 999999.0f     )	// 20 PAR_20
#define RPM_MIN2_MAX	(  33333.0f     )	// 21 RPM_MIN	minimum speed				rpm
#define RPM_MAX2_MAX	(  99999.0f     )	// 22 RPM_MAX	maximum speed				rpm
#define R_ACC2_MAX		(  99999.0f     )	// 23 R_ACC		acceleration				rpm/sec
#define R_DEC2_MAX		(  99999.0f     )	// 24 R_DEC		deceleration				rpm/sec
#define C_POLI2_MAX		(     36.0f     )	// 25 C_POLI	polar couples
#define I_START2_MAX	(    200.0f     )	// 26 I_START	startup current				Ampere
#define I_MAX2_MAX		(    200.0f     )	// 27 I_MAX		maximum current				Ampere
#define R_STA2_MAX		(   1000.0f     )	// 28 R_STA		stator resistance			Ohm
#define L_SQ2_MAX		(     10.0f     )	// 29 L_SQ		q synchronous inductance	Henry
#define PM_FLX2_MAX		(     10.0f     )	// 30 PM_FLX	permanent magnets flux		Weber
#define KP_CUR2_MAX		(  99999.0f     )	// 31 KP_CUR	current loop KP				Ohm
#define KI_CUR2_MAX		( 999999.0f     )	// 32 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL2_MAX		(  99999.0f     )	// 33 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL2_MAX		( 999999.0f     )	// 34 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN2_MAX	(   1000.0f     )	// 35 FB_GAIN	flux amp. feedback gain
#define PHA_OFF2_MAX	(    359.9999f  )	// 36 PHA_OFF	phase offset				deg
#define SUP_TIM2_MAX	(    100.0f     )	// 37 SUP_TIM	startup acc. time			sec
#define PAR_38_MAX		( 999999.0f     )	// 38 PAR_38
#define RPM_MIN3_MAX	(  33333.0f     )	// 39 RPM_MIN	minimum speed				rpm
#define RPM_MAX3_MAX	(  99999.0f     )	// 40 RPM_MAX	maximum speed				rpm
#define R_ACC3_MAX		(  99999.0f     )	// 41 R_ACC		acceleration				rpm/sec
#define R_DEC3_MAX		(  99999.0f     )	// 42 R_DEC		deceleration				rpm/sec
#define C_POLI3_MAX		(     36.0f     )	// 43 C_POLI	polar couples
#define I_START3_MAX	(    200.0f     )	// 44 I_START	startup current				Ampere
#define I_MAX3_MAX		(    200.0f     )	// 45 I_MAX		maximum current				Ampere
#define R_STA3_MAX		(   1000.0f     )	// 46 R_STA		stator resistance			Ohm
#define L_SQ3_MAX		(     10.0f     )	// 47 L_SQ		q synchronous inductance	Henry
#define PM_FLX3_MAX		(     10.0f     )	// 48 PM_FLX	permanent magnets flux		Weber
#define KP_CUR3_MAX		(  99999.0f     )	// 49 KP_CUR	current loop KP				Ohm
#define KI_CUR3_MAX		( 999999.0f     )	// 50 KI_CUR	current loop KI (analog)	Ohm/sec
#define KP_VEL3_MAX		(  99999.0f     )	// 51 KP_VEL	speed loop KP				Ampere*sec/rad
#define KI_VEL3_MAX		( 999999.0f     )	// 52 KI_VEL	speed loop KI				Ampere/rad
#define FB_GAIN3_MAX	(   1000.0f     )	// 53 FB_GAIN	flux amp. feedback gain
#define PHA_OFF3_MAX	(    359.9999f  )	// 54 PHA_OFF	phase offset				deg
#define SUP_TIM3_MAX	(    100.0f     )	// 55 SUP_TIM	startup acc. time			sec
#define PAR_56_MAX		( 999999.0f     )	// 56 PAR_56
#define PAR_57_MAX		( 999999.0f     )	// 57 PAR_57	
#define PAR_58_MAX		( 999999.0f     )	// 58 PAR_58	
#define PAR_59_MAX		( 999999.0f     )	// 59 PAR_59	

#endif	// ifndef _PAR_DEFINES_H

// EOF defpar.h

